package com.usky.sas.common.dahua;

import com.sun.jna.Pointer;
import com.sun.jna.Structure;
import java.util.Arrays;
import java.util.List;

public class NET_IN_STARTSERACH_DEVICE extends Structure {
    public int dwSize;
    public byte[] szLocalIp = new byte[64];
    public NetSDKLib.fSearchDevicesCBEx cbSearchDevices;
    public Pointer pUserData;
    public int emSendType;

    public NET_IN_STARTSERACH_DEVICE() {
        // 必须在数组字段初始化之后再设置 size
        this.dwSize = this.size();
    }

    @Override
    protected List<String> getFieldOrder() {
        return Arrays.asList("dwSize", "szLocalIp", "cbSearchDevices", "pUserData", "emSendType");
    }
}
